Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.vectorhighlight
Class BaseFragListBuilder

    java.lang.Object
      org.apache.lucene.search.vectorhighlight.BaseFragListBuilder

All Implemented Interfaces:
  FragListBuilder

Direct Known Subclasses:
  SimpleFragListBuilder, WeightedFragListBuilder

    public abstract class BaseFragListBuilder

extends Object
implements FragListBuilder

A abstract implementation of `FragListBuilder`.

Field Summary
`static int` | `MARGIN_DEFAULT`
`static int` | `MIN_FRAG_CHAR_SIZE_FACTOR`

Constructor Summary
`BaseFragListBuilder()`
`BaseFragListBuilder(int margin)`

Method Summary
`protected boolean` | `acceptPhrase(FieldPhraseList.WeightedPhraseInfo info, int matchLength, int fragCharSize)` A predicate to decide if the given `FieldPhraseList.WeightedPhraseInfo` should be accepted as a highlighted phrase or if it should be discarded.
`protected FieldFragList` | `createFieldFragList(FieldPhraseList fieldPhraseList, FieldFragList fieldFragList, int fragCharSize)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.lucene.search.vectorhighlight.FragListBuilder
`createFieldFragList`

Field Detail

### MARGIN_DEFAULT

    public static final int MARGIN_DEFAULT

See Also:
  Constant Field Values

### MIN_FRAG_CHAR_SIZE_FACTOR

    public static final int MIN_FRAG_CHAR_SIZE_FACTOR

See Also:
  Constant Field Values

Constructor Detail

### BaseFragListBuilder

    public BaseFragListBuilder(int margin)

### BaseFragListBuilder

    public BaseFragListBuilder()

Method Detail

### createFieldFragList

    protected FieldFragList createFieldFragList(FieldPhraseList fieldPhraseList,
                                                FieldFragList fieldFragList,
                                                int fragCharSize)

### acceptPhrase

    protected boolean acceptPhrase(FieldPhraseList.WeightedPhraseInfo info,
                                   int matchLength,
                                   int fragCharSize)

  A predicate to decide if the given `FieldPhraseList.WeightedPhraseInfo` should be accepted as a highlighted phrase or if it should be discarded.

  The default implementation discards phrases that are composed of more than one term and where the matchLength exceeds the fragment character size.

  Parameters:
    `info` - the phrase info to accept
    `matchLength` - the match length of the current phrase
    `fragCharSize` - the configured fragment character size
  Returns:
    `true` if this phrase info should be accepted as a highligh phrase

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.